TableRowSkin (JavaFX 28)
Description: declaration: module: javafx.controls, package: javafx.scene.control.skin, class: TableRowSkin

# Class TableRowSkin<T>

java.lang.Object
javafx.scene.control.SkinBase<TableRow<T>>
javafx.scene.control.skin.LabeledSkinBase<TableRow<T>>
javafx.scene.control.skin.CellSkinBase<TableRow<T>>
javafx.scene.control.skin.TableRowSkinBase<T, TableRow<T>, TableCell<T,?>>
javafx.scene.control.skin.TableRowSkin<T>

Type Parameters:
  `T` - the type of the item contained within the row

All Implemented Interfaces:
  `Skin<TableRow<T>>`

public class TableRowSkin<T> extends TableRowSkinBase<T, TableRow<T>, TableCell<T,?>>
Default skin implementation for the `TableRow` control.

Since:
  9
See Also:
  - `TableRow`

- ## Property Summary

  ### Properties declared in class TableRowSkinBase

  `graphic`

  ### Properties declared in class CellSkinBase

  `cellSize`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TableRowSkin(TableRow<T> control)`
  Creates a new TableRowSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected TableCell<T,?>`
  `createCell(TableColumnBase tcb)`
  Creates a new cell instance that is suitable for representing the given table column instance.
  `protected TableColumn<T,?>`
  `getTableColumn(TableCell<T,?> cell)`
  Returns the `TableColumnBase` instance for the given cell instance.
  `protected ObservableList<TableColumn<T,?>>`
  `getVisibleLeafColumns()`
  Returns an unmodifiable list containing the currently visible leaf columns.
  `protected void`
  `updateCell(TableCell<T,?> cell, TableRow<T> row)`
  A method to allow the given cell to be told that it is a member of the given row.

  ### Methods declared in class TableRowSkinBase

  `graphicProperty`

  ### Methods declared in class CellSkinBase

  `cellSizeProperty, getCellSize, getClassCssMetaData`

  ### Methods declared in class LabeledSkinBase

  `computeBaselineOffset, computeMinWidth, layoutChildren, layoutLabelInArea, layoutLabelInArea, updateChildren`

  ### Methods declared in class SkinBase

  `computeMaxHeight, computeMaxWidth, computeMinHeight, computePrefHeight, computePrefWidth, consumeMouseEvents, dispose, executeAccessibleAction, getChildren, getCssMetaData, getNode, getSkinnable, layoutInArea, layoutInArea, layoutInArea, positionInArea, positionInArea, pseudoClassStateChanged, queryAccessibleAttribute, registerChangeListener, registerInvalidationListener, registerListChangeListener, snappedBottomInset, snappedLeftInset, snappedRightInset, snappedTopInset, snapPosition, snapPositionX, snapPositionY, snapSize, snapSizeX, snapSizeY, snapSpace, snapSpaceX, snapSpaceY, unregisterChangeListeners, unregisterInvalidationListeners, unregisterListChangeListeners`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface Skin

  `install`

- ## Constructor Details

  - ### TableRowSkin

    public TableRowSkin(TableRow<T> control)
    Creates a new TableRowSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.
    Parameters:
      `control` - The control that this skin should be installed onto.

- ## Method Details

  - ### createCell

    protected TableCell<T,?> createCell(TableColumnBase tcb)
    Creates a new cell instance that is suitable for representing the given table column instance.
    Specified by:
      `createCell` in class `TableRowSkinBase<T, TableRow<T>, TableCell<T,?>>`
    Parameters:
      `tcb` - the table column
    Returns:
      the created cell

  - ### getVisibleLeafColumns

    protected ObservableList<TableColumn<T,?>> getVisibleLeafColumns()
    Returns an unmodifiable list containing the currently visible leaf columns.
    Specified by:
      `getVisibleLeafColumns` in class `TableRowSkinBase<T, TableRow<T>, TableCell<T,?>>`
    Returns:
      the list of visible leaf columns

  - ### updateCell

    protected void updateCell(TableCell<T,?> cell, TableRow<T> row)
    A method to allow the given cell to be told that it is a member of the given row. How this is implemented is dependent on the actual cell implementation.
    Specified by:
      `updateCell` in class `TableRowSkinBase<T, TableRow<T>, TableCell<T,?>>`
    Parameters:
      `cell` - The cell for which we want to inform it of its owner row.
      `row` - The row which will be set on the given cell.

  - ### getTableColumn

    protected TableColumn<T,?> getTableColumn(TableCell<T,?> cell)
    Returns the `TableColumnBase` instance for the given cell instance.
    Specified by:
      `getTableColumn` in class `TableRowSkinBase<T, TableRow<T>, TableCell<T,?>>`
    Parameters:
      `cell` - The cell for which a TableColumn is desired.
    Returns:
      the table column